#
# spec file for package obs-service-extract_file
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-service-extract_file
Summary:        An OBS source service: Extract a file from an archive
License:        GPL-2.0+
Group:          Development/Tools/Building
Version:        0.3
Release:        8.1
Source:         %{name}-%{version}.tar.gz
Requires:       bzip2
Requires:       gzip
Requires:       tar
Requires:       unzip
Requires:       xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It supports to extract a file from an archive, for example a spec file from a tar.


%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0755 extract_file $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0644 extract_file.service $RPM_BUILD_ROOT/usr/lib/obs/service

%files
%defattr(-,root,root)
%dir /usr/lib/obs
/usr/lib/obs/service

%changelog
* Thu Feb 18 2016 opensuse-packaging@opensuse.org
- Update to version 0.2:
  + use native package format instead of quilt
  + prevent unzip from executing with illegal options
* Wed Feb 17 2016 opensuse-packaging@opensuse.org
- Update to version 0.2:
  + clarify use of outfilename parameter
  + fix bug with repeated invocations of "osc service dr"
  + choose the most recent archive (fixes #3)
  + improved security and error handling when no archive found
  + added tests
  + improved input file checking and removed obsolete code
* Wed Jul  9 2014 jblunck@infradead.org
- Update to version 0.1:
  + Initial debianization
  + fix it
  + This adds posibility to define filenames with wildcards. Usable to prevent from editing the file path after each version change or after the SVN revision changes.
  + fix error message
  + allow subdirectories
  + fix command parameters
* Tue May 10 2011 adrian@suse.de
- fix getting input file
* Wed Apr 27 2011 dibo@users.sourceforge.net
- added posibility to use wildcards in extracted file names
* Wed Feb 23 2011 adrian@suse.de
- initial package
